<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Array task 1</title>
</head>
<body>
<script language="JavaScript">

    var level =1;
    var givenArray = [23, 6, [2, [6, 2, 1, 2], 2], 5, 2];

    function printSpaces(){
        for (var i=1; i<=6*level; i++){
            document.write("&nbsp;");
        }
    }
    function printArray(currentArray)
    {

        for (var i=0; i< currentArray.length; i++) {

            if (Array.isArray(currentArray[i])) {
                level++;
                printArray(currentArray[i]);


            }
            else {

                printSpaces(level);
                document.write(currentArray[i] + "<br>");
            }

        }
        level--;
    }
    printArray(givenArray);

</script>
</body>
</html>